@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package osc_snovis with version v1r0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build
REM # or :
REM #   DOS> call DOS\build.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_osc_snovis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_osc_snovis_path=%obuild_osc_snovis_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no

SET obuild_args=

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   build [Options]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -x : execute with ECHO ON"
  ECHO   -* : passed to packages build script.
  ECHO
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SET obuild_args=%obuild_args% -v
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-x" GOTO end_if_x
  ECHO ON
  SET obuild_args=%obuild_args% -x
  SHIFT
  GOTO next_arg
:end_if_x

SET obuild_args=%obuild_args% %1%
SHIFT
GOTO next_arg

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd ..
cd ..
cd ..
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_dir_top=%%d

cd "%obuild_dir_top%\obuild\v1r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build obuild/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\foreign\v1r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build foreign/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\zlib\v1r114p3\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build zlib/v1r114p3 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\expat\v1r11p6\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build expat/v1r11p6 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\Slash\v1r0p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Slash/v1r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\Lib\v8r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Lib/v8r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\HCL\v7r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build HCL/v7r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\Midnight\v4r0p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Midnight/v4r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\Minuit\v1r140p4\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Minuit/v1r140p4 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\Rio\v7r1\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Rio/v7r1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\HDF5\v1r165p2\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build HDF5/v1r165p2 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\BatchLab\v1r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build BatchLab/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\UseAIDA\v1r0p2\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build UseAIDA/v1r0p2 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\jpeg\v1r62p1\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build jpeg/v1r62p1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\dvi2bitmap\v1r0132p1\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build dvi2bitmap/v1r0132p1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\freetype2\v1r219p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build freetype2/v1r219p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\CoinGL\v1r244p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinGL/v1r244p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\CoinXt\v1r122p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinXt/v1r122p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\CoinWin\v1r50p4\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinWin/v1r50p4 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\CoinQt\v1r130p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinQt/v1r130p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\CoinPython\v1r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinPython/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\HEPVis\v6r6p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build HEPVis/v6r6p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\KUIP\v1r950303p16\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build KUIP/v1r950303p16 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\OnX\v17r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build OnX/v17r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\OnXLab\v1r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build OnXLab/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\VisAIDA\v1r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build VisAIDA/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\OpenPAW\v3r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build OpenPAW/v3r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\G4Lab\v8r0p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build G4Lab/v8r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\G4Simple\v2r0p0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build G4Simple/v2r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\G4Examples\v1r0\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build G4Examples/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_dir_top%\snovis\v1r1\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build snovis/v1r1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
:obuild_return
ENDLOCAL
@ECHO ON
